Install problem - bench init erpnext

Hello community, I thank you in advance for your support.

I am having trouble installing ERPNext on an LTS 20.04, I followed this guide https://www.vultr.com/docs/how-to-install-erpnext-open-source-erp-on-ubuntu-17-04-22771 ( I did not receive any previous error) but in the execution of the command “bench init erpnext && cd erpnext” it shows this message.

[Errno 2] No such file or directory
ERROR: There was a problem while creating erpnext
Do you want to rollback these changes? [Y / n]:

Could you please indicate if there is something missing in the guide? Although it is for LTS 17.04, I have compared the commands used for LTS 20.04 and they are the same.

Hi Ariel,

Follow the easy install script to install ERPNEXT on ubuntu20.04. There are some problems with that but the link below will explain the step by step way to install ERPNEXT on 20.04 LTS.

Let me know if you have any problems installing it.

2 Likes

Hi Nikunj, thanks for your answer!
The script works excellent, but in the end it shows me an error about libssl1.0-dev I changed line 36 of /tmp/ .bench /playbooks/roles/common/tasks/ubuntu.yml (according to the guide you shared with me ), retry and keep showing the same error.
Can you please tell me what else can I do?

Hi Ariel,

Does your ubuntu.yml looks like line 33 to 39 :

- name: install pdf prerequisites for Ubuntu >= 18.04
  apt:
    pkg:
      - libssl1.1
    state: present
    force: yes
  when: ansible_distribution_version is version_compare('18.04', 'ge')

Is it possible for you to share your file ? There is no reason after changing this file that it should not work.
Are you modifying the file as a sudo user ?

Make sure your you libssl1.1 installed.

sudo apt install libssl

Only this place decides which libssl will be used.

1 Like

Hi Nikunj, thanks again for your help.
I have installed ubuntu 20.04 from scratch, I made the changes requested by the guide you shared with me. However, I get this error.

File “install.py”, line 100
** current_dist = [“Ubuntu”, “20.04”]**
** ^**
SyntaxError: invalid character in identifier

When executing the “install.py”, I attach screenshots of the configurations. P.S. I did not share the file because I had already created a new server to avoid any conflict.



Hi Ariel,

That is weird.

current_dist = [“Ubuntu”, “20.04”]

Try with this

current_dist = [‘Ubuntu’, ‘20.04’]

Let me know the results.

cheers !!

1 Like

Thanks Nikunj.
I tried the change you indicated, however I get a similar error.

Hi ariel,

My install.py you can download from the link below :

This install script you dont have to patch anything it should work out of box.

  1. Copy this install.py file in the home directory.

  2. install Distro module for python.

Sudo pip install distro

  1. Then execute the easy setup install.py as usual

Cheers

1 Like

You’re great Nikunj, I managed to install ERPNext. I’m trying to set up the company and now it shows me a timeout error. Should I modify something in Nginx?

@Ariel_Montoya

Just click retry and that should be fine.

Cheers!!

1 Like

Finally solved! I managed to install it without errors, I just leave something in case it happens to other people … After the timeout error, I had to wait about 20 - 25 minutes for the retry to work, apparently that error only shows up in the web interface, but the company creation continues to run in the background. They just have to wait a bit if the same thing happens to them.

Thanks again for your help. @Nikunj_Patel, you are great!

@Ariel_Montoya

It is good to know that you were able to install erpnext,

Now it is time to spread the word.

Just in case you run into problem don’t forget to go through the forum for answers.

Help others in case you can. This will help push erpnext forward.

Regards
Nikunj Patel